OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.Histogram

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_histogram extension, see http://www.opengl.org/registry/specs/EXT/histogram.txt.

Synopsis

- glHistogram :: GLenum -> GLsizei -> GLenum -> GLboolean -> IO ()
- glResetHistogram :: GLenum -> IO ()
- glGetHistogram :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()
- glGetHistogramParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
- glGetHistogramParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- glMinmax :: GLenum -> GLenum -> GLboolean -> IO ()
- glResetMinmax :: GLenum -> IO ()
- glGetMinmax :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()
- glGetMinmaxParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()
- glGetMinmaxParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- gl_HISTOGRAM :: GLenum
- gl_PROXY_HISTOGRAM :: GLenum
- gl_HISTOGRAM_WIDTH :: GLenum
- gl_HISTOGRAM_FORMAT :: GLenum
- gl_HISTOGRAM_RED_SIZE :: GLenum
- gl_HISTOGRAM_GREEN_SIZE :: GLenum
- gl_HISTOGRAM_BLUE_SIZE :: GLenum
- gl_HISTOGRAM_ALPHA_SIZE :: GLenum
- gl_HISTOGRAM_LUMINANCE_SIZE :: GLenum
- gl_HISTOGRAM_SINK :: GLenum
- gl_MINMAX :: GLenum
- gl_MINMAX_FORMAT :: GLenum
- gl_MINMAX_SINK :: GLenum

# Functions

glHistogram :: GLenum -> GLsizei -> GLenum -> GLboolean -> IO ()Source

glResetHistogram :: GLenum -> IO ()Source

glGetHistogram :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()Source

glGetHistogramParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()Source

glGetHistogramParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()Source

glMinmax :: GLenum -> GLenum -> GLboolean -> IO ()Source

glResetMinmax :: GLenum -> IO ()Source

glGetMinmax :: GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> IO ()Source

glGetMinmaxParameteriv :: GLenum -> GLenum -> Ptr GLint -> IO ()Source

glGetMinmaxParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()Source

# Tokens

gl_HISTOGRAM :: GLenum Source

gl_PROXY_HISTOGRAM :: GLenum Source

gl_HISTOGRAM_WIDTH :: GLenum Source

gl_HISTOGRAM_FORMAT :: GLenum Source

gl_HISTOGRAM_RED_SIZE :: GLenum Source

gl_HISTOGRAM_GREEN_SIZE :: GLenum Source

gl_HISTOGRAM_BLUE_SIZE :: GLenum Source

gl_HISTOGRAM_ALPHA_SIZE :: GLenum Source

gl_HISTOGRAM_LUMINANCE_SIZE :: GLenum Source

gl_HISTOGRAM_SINK :: GLenum Source

gl_MINMAX :: GLenum Source

gl_MINMAX_FORMAT :: GLenum Source

gl_MINMAX_SINK :: GLenum Source